Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Class MatrixSeriesCollection

    java.lang.Object
      org.jfree.data.AbstractDataset
          org.jfree.data.AbstractSeriesDataset
              org.jfree.data.AbstractXYDataset
                  org.jfree.data.AbstractXYZDataset
                      org.jfree.data.MatrixSeriesCollection

All Implemented Interfaces:
  java.lang.Cloneable, Dataset, java.util.EventListener, java.io.ObjectInputValidation, java.io.Serializable, SeriesChangeListener, SeriesDataset, XYDataset, XYZDataset

public class MatrixSeriesCollection
extends AbstractXYZDataset
implements XYZDataset, java.io.Serializable

Represents a collection of `MatrixSeries` that can be used as a dataset.

Author:
  Barak Naveh
See Also:
  `MatrixSeries`, Serialized Form

Constructor Summary
`MatrixSeriesCollection()` Constructs an empty dataset.
`MatrixSeriesCollection(MatrixSeries series)` Constructs a dataset and populates it with a single matrix series.

Method Summary
`void` | `addSeries(MatrixSeries series)` Adds a series to the collection.
`boolean` | `equals(java.lang.Object obj)` Tests this collection for equality with an arbitrary object.
`int` | `getItemCount(int seriesIndex)` Returns the number of items in the specified series.
`MatrixSeries` | `getSeries(int seriesIndex)` Returns the series having the specified index.
`int` | `getSeriesCount()` Returns the number of series in the collection.
`java.lang.String` | `getSeriesName(int seriesIndex)` Returns the name of a series.
`java.lang.Number` | `getXValue(int seriesIndex, int itemIndex)` Returns the j index value of the specified Mij matrix item in the specified matrix series.
`java.lang.Number` | `getYValue(int seriesIndex, int itemIndex)` Returns the i index value of the specified Mij matrix item in the specified matrix series.
`java.lang.Number` | `getZValue(int seriesIndex, int itemIndex)` Returns the Mij item value of the specified Mij matrix item in the specified matrix series.
`int` | `hashCode()` Returns a hash code.
`void` | `removeAllSeries()` Removes all the series from the collection.
`void` | `removeSeries(int seriesIndex)` Removes a series from the collection.
`void` | `removeSeries(MatrixSeries series)` Removes a series from the collection.

Methods inherited from class org.jfree.data.AbstractXYZDataset
`getZ`

Methods inherited from class org.jfree.data.AbstractXYDataset
`getX, getY`

Methods inherited from class org.jfree.data.AbstractSeriesDataset
`seriesChanged`

Methods inherited from class org.jfree.data.AbstractDataset
`addChangeListener, clone, fireDatasetChanged, getGroup, notifyListeners, removeChangeListener, setGroup, validateObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.data.XYZDataset
`getZ`

Methods inherited from interface org.jfree.data.XYDataset
`getX, getY`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Constructor Detail

### MatrixSeriesCollection

    public MatrixSeriesCollection()

  Constructs an empty dataset.

### MatrixSeriesCollection

    public MatrixSeriesCollection(MatrixSeries series)

  Constructs a dataset and populates it with a single matrix series.

Parameters:
  `series` - the time series.

Method Detail

### getItemCount

    public int getItemCount(int seriesIndex)

  Returns the number of items in the specified series.

  Specified by:
    `getItemCount` in interface `XYDataset`
  Parameters:
    `seriesIndex` - zero-based series index.
  Returns:
    the number of items in the specified series.

### getSeries

    public MatrixSeries getSeries(int seriesIndex)

  Returns the series having the specified index.

  Parameters:
    `seriesIndex` - zero-based series index.
  Returns:
    The series.
  Throws:
    `java.lang.IllegalArgumentException`

### getSeriesCount

    public int getSeriesCount()

  Returns the number of series in the collection.

  Specified by:
    `getSeriesCount` in interface `SeriesDataset`
  Specified by:
    `getSeriesCount` in class `AbstractSeriesDataset`
  Returns:
    the number of series in the collection.

### getSeriesName

    public java.lang.String getSeriesName(int seriesIndex)

  Returns the name of a series.

  Specified by:
    `getSeriesName` in interface `SeriesDataset`
  Specified by:
    `getSeriesName` in class `AbstractSeriesDataset`
  Parameters:
    `seriesIndex` - zero-based series index.
  Returns:
    the name of a series.

### getXValue

    public java.lang.Number getXValue(int seriesIndex,
                                      int itemIndex)

  Returns the j index value of the specified Mij matrix item in the specified matrix series.

  Specified by:
    `getXValue` in interface `XYDataset`
  Parameters:
    `seriesIndex` - zero-based series index.
    `itemIndex` - zero-based item index.
  Returns:
    the j index value for the specified matrix item.
  See Also:
    `XYDataset.getXValue(int, int)`

### getYValue

    public java.lang.Number getYValue(int seriesIndex,
                                      int itemIndex)

  Returns the i index value of the specified Mij matrix item in the specified matrix series.

  Specified by:
    `getYValue` in interface `XYDataset`
  Parameters:
    `seriesIndex` - zero-based series index.
    `itemIndex` - zero-based item index.
  Returns:
    the i index value for the specified matrix item.
  See Also:
    `XYDataset.getYValue(int, int)`

### getZValue

    public java.lang.Number getZValue(int seriesIndex,
                                      int itemIndex)

  Returns the Mij item value of the specified Mij matrix item in the specified matrix series.

  Specified by:
    `getZValue` in interface `XYZDataset`
  Parameters:
    `seriesIndex` - the series (zero-based index).
    `itemIndex` - zero-based item index.
  Returns:
    the Mij item value for the specified matrix item.
  See Also:
    `XYZDataset.getZValue(int, int)`

### addSeries

    public void addSeries(MatrixSeries series)

  Adds a series to the collection.

  Notifies all registered listeners that the dataset has changed.

  Parameters:
    `series` - the series.
  Throws:
    `java.lang.IllegalArgumentException`

### equals

    public boolean equals(java.lang.Object obj)

  Tests this collection for equality with an arbitrary object.

  Parameters:
    `obj` - the object.
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code.

  Returns:
    a hash code.

### removeAllSeries

    public void removeAllSeries()

  Removes all the series from the collection.

  Notifies all registered listeners that the dataset has changed.

### removeSeries

    public void removeSeries(MatrixSeries series)

  Removes a series from the collection.

  Notifies all registered listeners that the dataset has changed.

  Parameters:
    `series` - the series.
  Throws:
    `java.lang.IllegalArgumentException`

### removeSeries

    public void removeSeries(int seriesIndex)

  Removes a series from the collection.

  Notifies all registered listeners that the dataset has changed.

  Parameters:
    `seriesIndex` - the series (zero based index).
  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD